| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
LocatorSelectorEntry Struct Reference

An entry for the LocatorSelector. More...

`#include <LocatorSelectorEntry.hpp>`

## Classes

struct | EntryState
| Holds the selection state of the locators held by a LocatorSelectorEntry. More...

## Public Member Functions

| LocatorSelectorEntry (size_t max_unicast_locators, size_t max_multicast_locators)
| Construct a LocatorSelectorEntry.
void | enable (bool should_enable)
| Set the enabled value.
void | reset ()
| Reset the selections.

## Static Public Member Functions

static LocatorSelectorEntry | create_fully_selected_entry (const LocatorList_t &unicast_locators, const LocatorList_t &multicast_locators)
static LocatorSelectorEntry | create_fully_selected_entry (const LocatorList_t &unicast_locators)

## Public Attributes

GUID_t | remote_guid
| GUID of the remote entity.
ResourceLimitedVector< Locator_t > | unicast
| List of unicast locators to send data to the remote entity.
ResourceLimitedVector< Locator_t > | multicast
| List of multicast locators to send data to the remote entity.
EntryState | state
| State of the entry.
bool | enabled
| Indicates whether this entry should be taken into consideration.
bool | transport_should_process
| A temporary value for each transport to help optimizing some use cases.

## Detailed Description

An entry for the LocatorSelector.

This class holds the locators of a remote endpoint along with data required for the locator selection algorithm.

## Constructor & Destructor Documentation

## ◆ LocatorSelectorEntry()

LocatorSelectorEntry | ( | size_t | max_unicast_locators,
|  | size_t | max_multicast_locators )

inline

Construct a LocatorSelectorEntry.

Parameters

  max_unicast_locators | Maximum number of unicast locators to hold.
  max_multicast_locators | Maximum number of multicast locators to hold.

## Member Function Documentation

## ◆ create_fully_selected_entry() [1/2]

LocatorSelectorEntry create_fully_selected_entry | ( | const LocatorList_t & | unicast_locators | ) |

inline static

## ◆ create_fully_selected_entry() [2/2]

LocatorSelectorEntry create_fully_selected_entry | ( | const LocatorList_t & | unicast_locators,
|  | const LocatorList_t & | multicast_locators )

inline static

## ◆ enable()

void enable | ( | bool | should_enable | ) |

inline

Set the enabled value.

Parameters

  should_enable | Whether this entry should be enabled.

## ◆ reset()

void reset | ( |  | ) |

inline

Reset the selections.

## Member Data Documentation

## ◆ enabled

bool enabled

Indicates whether this entry should be taken into consideration.

## ◆ multicast

ResourceLimitedVector<Locator_t> multicast

List of multicast locators to send data to the remote entity.

## ◆ remote_guid

GUID_t remote_guid

GUID of the remote entity.

## ◆ state

EntryState state

State of the entry.

## ◆ transport_should_process

bool transport_should_process

A temporary value for each transport to help optimizing some use cases.

## ◆ unicast

ResourceLimitedVector<Locator_t> unicast

List of unicast locators to send data to the remote entity.

The documentation for this struct was generated from the following file:

- include/fastdds/rtps/common/LocatorSelectorEntry.hpp